image: node:latest

before_script:
  - apt-get update -qy
  - apt-get install -y ruby-dev
  - gem install dpl

stages:
  - test
  - production


test:

  script:
      - npm i    
      - npm run lint
      


production:
  type: deploy
  stage: production
  image: ruby:latest
  script:
    - dpl --provider=heroku --app=devsecops-ws-moamin --api-key=$HEROKU_API_KEY
  only:
    - master